% PPINITOUTP  [Not a public script] Prepare output data struct.

OUTP = struct();
maxlag = -THIS.mint;
maxlead = THIS.maxt;
XRANGE = RANGE(1)-maxlag:RANGE(end)+maxlead;
nxper = length(XRANGE);
nname = sum(THIS.nametype <= 3);
for ii = 1 : nname
    name = THIS.name{ii};
    OUTP.(name) = nan(nxper,NLOOP);
end